Zum Inhalt springen

condenser_api.get_feed ​

since HF14

Purpose ​

Gibt die Liste der Einträge im Feed eines Kontos zurück. Parameter: account:string; start_entry_id:int; limit:int bis zu 500

account (string)start_entry_id (int)limit (int)
"steemit"01Abfrage des Kontos mit dem Namen steemit beginnend beim ersten Eintrag, bis zu 1 Ergebnis.
"alice"110Abfrage des Kontos mit dem Namen alice beginnend beim zweiten Eintrag, bis zu 10 Ergebnisse.

Siehe auch: follow_api.get_feed, Paginated API Methods

Parameters ​

PARAMETERS
json
[
  "",
  0,
  1
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_feed",
    "params": [
      "steemit",
      0,
      1
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_feed",
    "params": [
      "alice",
      1,
      10
    ],
    "id": 1
  }'